# Move to trash
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456],
"deleteForever": false
}'
# Permanently delete
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456],
"deleteForever": true
}'
# Empty trash
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [],
"emptyTrash": true
}'
{
"status": "success"
}
Move entries to trash or delete permanently
# Move to trash
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456],
"deleteForever": false
}'
# Permanently delete
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456],
"deleteForever": true
}'
# Empty trash
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [],
"emptyTrash": true
}'
{
"status": "success"
}
deleteForever: true to permanently delete.
success)# Move to trash
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456],
"deleteForever": false
}'
# Permanently delete
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [123, 456],
"deleteForever": true
}'
# Empty trash
curl -X POST https://app.drime.cloud/api/v1/file-entries/delete \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entryIds": [],
"emptyTrash": true
}'
{
"status": "success"
}